Bug 121927 - inserting aironet 350 card result in lockup
inserting aironet 350 card result in lockup
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-04-29 03:13 EDT by Gerald Teschl
Modified: 2015-01-04 17:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:40:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2004-04-29 03:13:53 EDT
Description of problem:
Inserting my cisco aironet 350 pcmcia card into my sony vaio
pcg-fx702 laptop causes the laptop to lock up immediately.

The last entries in syslog are
Apr 29 06:59:29 tux cardmgr[1154]: socket 0: 350 Series Wireless LAN
Apr 29 06:59:29 tux kernel: cs: memory probe 0xa0000000-0xa0ffffff: clean.
Apr 29 06:59:29 tux kernel: airo:  Probing for PCI adapters

Version-Release number of selected component (if applicable):

How reproducible:

Additional info:
I don't have any other pcmcia cards, so I don't know if this
a pcmcia or airo problem. But pcmcia looks normal without any
cards inserted.
The same hardware works fine with FC1.
Comment 1 Gerald Teschl 2004-05-12 05:00:44 EDT
Seems to work now.
Comment 2 Gerald Teschl 2004-06-16 13:15:20 EDT
I just tried with kernel-2.6.6-1.427 and the problem persists.
I noted that it will print "airo: cmd= 111" on the console
as the last thing before it locks up.
Comment 3 Thomas Eriksson 2004-06-26 19:04:56 EDT
I have the exact same problem with FC2 Final and kernel-2.6.6-1.435.
If the card is inserted at boot time it will freeze at the pcmcia
startup, if inserted later it will lockup instantly with the
"airo: cmd= 111" message.

This is also on Sony Vaio FX series hardware with a 
Cisco Aironet 350 PCMCIA card.

Was working fine on FC1.
Comment 4 Thomas Eriksson 2004-08-16 22:06:17 EDT
It might be futile to get any response on this, but since I keep
trying new kernels I might as well report my findings in the hope that
someone with better knowledge takes an interrest.

Using kernel-2.6.7-1.494.2.2 the Aironet card appears to be working.
But then the next test kernel, 2.6.8-1.520, results in a system freeze
when loading the airo_cs module.

Comment 5 Dave Jones 2004-12-07 00:32:10 EST
any improvement with the 2.6.9 based update ?
Comment 6 Andrew Meredith 2004-12-14 19:46:55 EST
Not in my case at least.

I don't know if I have a different problem though. It will power up,
lock on to the signal and enable when inserted, but after an
indeterminate period of time, it will lock hard and usually requires a

It appears to be bandwidth related. I can run the card for days at a
time with light traffic. Email and web type traffic doesn't seem to
trigger the failure. If however I try and run a movie using X across
the card or do a long sustained file transfer using any protocol, it
will last a matter of minutes before locking up hard.

I can sometimes get away with variations on:

service pcmcia stop
killall -9 cardmgr
service pcmcia stop
service network stop
modprobe -r eth0
service network stop
service pcmcia start
service network start

There may have to be a number of goes at some of the commands, and
quite often they will lock, unkillable. Removing the card, once it's
lights go off (not before) also seems to help get the module out of
memory. Once the airo_cs module has been removed, the pcmcia and
network services can be kicked back off again.

The same hardware and OS, but with a 3Com wired 10/100 card in place
of the wireless, can be pushed hard with no ill effects.

- Dell Latitude CSx
- 256M RAM

Non of these kernels will drive this card safely on the above hardware.

Comment 7 Gerald Teschl 2004-12-15 05:15:25 EST
Similar here. The card kind of works with recent kernels, 
but it is unstable. 
Comment 8 Dave Jones 2005-04-16 01:40:50 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.